com.verisign.epp.codec.contact

## Class EPPContactRelaxedValidationTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.codec.contact.EPPContactRelaxedValidationTst

- All Implemented Interfaces:
    junit.framework.Test

      public class EPPContactRelaxedValidationTst
      extends junit.framework.TestCase

  Is a unit test of the com.verisign.epp.codec.contact package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.contact package concrete `EPPCommand`'s and their expected `EPPResponse` with relaxed validation rules. The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPContactRelaxedValidationTst(java.lang.String name)` Creates a new EPPContactRelaxedValidationTst object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off (`false`).
    `static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
    `protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPContactMapFactory` with the `EPPCodec`.
    `static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPContactTst`.
    `protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
    `void` | `testContactCheck()` Unit test of `EPPContactCheckCmd` with relaxed validation.
    `void` | `testContactCreateWithAllOptionalElementsForRelaxedValidations()` Unit test of `EPPContactCreateCmd` that uses relaxed validations.
    `void` | `testContactCreateWithPartialOptionalElementsForRelaxedValidations()` Unit test of `EPPContactCreateCmd` that uses relaxed validations.
    `void` | `testContactDelete()` Unit test of `EPPContactDeleteCmd`.
    `void` | `testContactFullInfoWithRelaxedValidations()` Unit test of `EPPContactInfoCmd` with relaxed validations.
    `void` | `testContactInfoWithRelaxedValidation()` Unit test of `EPPContactInfoCmd` with relaxed validation.
    `void` | `testContactPartialInfoWithRelaxedValidation()` Unit test of `EPPContactInfoCmd` with relaxed validations.
    `void` | `testContactTransfer()` Unit test of `EPPContactTransferCmd`.
    `void` | `testContactUpdate()` Unit test of `EPPContactUpdateCmd`.
    `void` | `testMinimumContactCreateWithRelaxedValidations()` Unit test of `EPPContactCreateCmd` with relaxed validations.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPContactRelaxedValidationTst

          public EPPContactRelaxedValidationTst(java.lang.String name)

      Creates a new EPPContactRelaxedValidationTst object.
      Parameters:
        `name` - name for the test

  - ### Method Detail

    - #### testMinimumContactCreateWithRelaxedValidations

          public void testMinimumContactCreateWithRelaxedValidations()

      Unit test of `EPPContactCreateCmd` with relaxed validations. For relaxed validations client contact id, authinfo and postal info type are the only mandatory elements. All other elements are optional. The response to `EPPContactCreateCmd` is `EPPContactCreateResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testContactCreateWithPartialOptionalElementsForRelaxedValidations

          public void testContactCreateWithPartialOptionalElementsForRelaxedValidations()

      Unit test of `EPPContactCreateCmd` that uses relaxed validations. Send some of the optional elements in the request along with all mandatory elements. The response to `EPPContactCreateCmd` is `EPPContactCreateResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testContactCreateWithAllOptionalElementsForRelaxedValidations

          public void testContactCreateWithAllOptionalElementsForRelaxedValidations()

      Unit test of `EPPContactCreateCmd` that uses relaxed validations. Send all the mandatory and optional elements in the request. The response to `EPPContactCreateCmd` is `EPPContactCreateResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testContactInfoWithRelaxedValidation

          public void testContactInfoWithRelaxedValidation()

      Unit test of `EPPContactInfoCmd` with relaxed validation. Info response sends minimal mandatory elements. The response to `EPPContactInfoCmd` is `EPPContactInfoResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testContactPartialInfoWithRelaxedValidation

          public void testContactPartialInfoWithRelaxedValidation()

      Unit test of `EPPContactInfoCmd` with relaxed validations. Info response sends mandatory and some of the optional elements. The response to `EPPContactInfoCmd` is `EPPContactInfoResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testContactFullInfoWithRelaxedValidations

          public void testContactFullInfoWithRelaxedValidations()

      Unit test of `EPPContactInfoCmd` with relaxed validations. Info response sends all the elements. The response to `EPPContactInfoCmd` is `EPPContactInfoResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testContactDelete

          public void testContactDelete()

      Unit test of `EPPContactDeleteCmd`. Verify that relax validation has no impact on contact delete. The response to `EPPContactDeleteCmd` is `EPPContactDeleteResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testContactCheck

          public void testContactCheck()

      Unit test of `EPPContactCheckCmd` with relaxed validation. Verify that relax validation has no impact on contact check. The response to `EPPContactCheckCmd` is `EPPContactCheckResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testContactUpdate

          public void testContactUpdate()

      Unit test of `EPPContactUpdateCmd`. Verify that relax validation has no impact on contact update. The response to `EPPContactUpdateCmd` is `EPPResponse`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testContactTransfer

          public void testContactTransfer()

      Unit test of `EPPContactTransferCmd`. Verify that relax validation has no impact on contact transfer. The response to `EPPContactTransferCmd` is `EPPContactTransferResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPContactMapFactory` with the `EPPCodec`.
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPContactTst`.
      Returns:
        Test tests associated with `EPPContactTst`

    - #### main

          public static void main(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off (`false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - command line arguments to the test

    - #### setNumIterations

          public static void setNumIterations(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test